Difference between revisions of "Draft Facebinder"

From FreeCAD Documentation
Jump to: navigation, search
(More details on the properties)
(It can be edited after creation.)
Line 26: Line 26:
 
# Pick one face, or hold {{KEY|Ctrl}} and pick several faces, from solid objects.
 
# Pick one face, or hold {{KEY|Ctrl}} and pick several faces, from solid objects.
 
# Press the {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.
 
# Press the {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.
 +
 +
The faces that are part of the Facebinder can be changed after creation, by double clicking on the element, and adding or removing faces with the {{Button|Add}} or {{Button|Remove}} buttons.
  
 
== Options ==
 
== Options ==

Revision as of 22:42, 8 November 2018

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Facebinder.svg Draft Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
0.15
See also
Part Box, Arch Wall


Description

The Facebinder tool creates a surface object from the selected faces of solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several faces of walls, for example, a wall paper, or wall finish.

Draft facebinder example.jpg

How to use

  1. Pick one face, or hold Ctrl and pick several faces, from solid objects.
  2. Press the Draft Facebinder.png Facebinder button, or press F then F keys.

The faces that are part of the Facebinder can be changed after creation, by double clicking on the element, and adding or removing faces with the Add or Remove buttons.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DATAExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DATARemove Splitter: if it is True it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DATASew: if it is True it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14